import { Argv, Arguments } from 'yargs';
export declare const command = "status";
export declare const desc = "Create a git commit status for a given SHA";
export declare const builder: (yargs: Argv) => Argv<{
    owner: string;
} & {
    repo: string;
} & {
    sha: string;
} & {
    "target-url": string;
} & {
    state: string;
} & {
    description: string;
} & {
    context: string;
}>;
export declare const handler: (argv: Arguments) => Promise<void>;
